function DefaultSetup(path){

	var pgCheck = true;
	try{
		JSI.repaintImage();
	}catch(e){
		pgCheck = false;
	}

	var pgver = typeof photogrok_version === 'undefined' ? 0: photogrok_version;

	this.init = function(){

		clearConsole();

		load(path + 'util.js');

		load(path + 'effectivestops.js');

		load(path + 'gpsthumbnails.js');
	
		if(pgver >= 2.72)
			load(path + 'framer.js');

		load(path + 'fixtime.js');

		load(path + 'refreshmenuitem.js');

		load(path + 'previewer.js');

		load(path + 'findintree.js');

		load(path + 'iso.js');

		load(path + 'datefilter.js');
	
		load(path + 'sizer.js');

		UTIL.sep();

		load(path + 'filler.js');

		load(path + 'jhlabs.js');

		load(path + 'histogram.js');
		
		load(path + 'film.js');

		if(pgCheck)
			load(path + 'tone.js');

		load(path + 'bw.js');

		load(path + 'psych.js');

		// only works in older versions of java
		//load(path + 'caman.js');

		load(path + 'facedetect.js');
		
		// only loads in graal.js in older jvms
		//try{
			//load(path + 'dcrawgraal.js');
		//}catch(e){}

		UTIL.sep();

		load(path + 'gps.js');

		load(path + 'painterlinker.js');

		load(path + 'reset.js');


	};

}
